stages:
  - test

image: continuumio/miniconda3:latest

py36:
  stage: test
  script:
    - conda create -n py36 python=3.6
    - source activate py36
    - conda install -y -c conda-forge assimulo
    - pip install -e .
    - python -m coverage run -m unittest && python -m coverage report -m
  coverage: '/TOTAL.+ ([0-9]{1,3}%)/'
